<?php
require ('Conexion/Conexion.php');
require ('lib/lib.php');
$url="http://".$_SERVER['HTTP_HOST'].":".$_SERVER['SERVER_PORT'].$_SERVER['REQUEST_URI'];
if(extension($url) == 'php' & $_POST['Usuario'] == '' || $_POST['Password'] == ''){
	echo "<script language='JavaScript'>location.href = 'index.php'</script>";
	die();
} else{
	if($_POST['Usuario'] != ''){
		if($_POST['Password'] != '') {
			if(strlen($_POST['Usuario']) >= 1 && strlen($_POST['Usuario']) <= 15){
				if(strlen($_POST['Password']) >= 1 && strlen($_POST['Password']) <= 15){
					$Usuario = strtoupper($_POST['Usuario']);
					$Password = strtoupper($_POST['Password']);
					if(preg_match("/^[a-zA-Z0-9]{1,15}$/i", $Password)){
						if(is_numeric($Usuario)){
								if(LoginCliente($Usuario, $Password))
									echo 'Logueado';
								elseif(LoginUsuario($Usuario, $Password))
									echo 'Logueado';
								else
									echo "<p class='error'>El Usuario no se encontro, Favor de rectificar los datos!</p>";
						}
						elseif(preg_match('/^[a-zA-Z0-9\d_-]{1,15}$/i', $Usuario)) {
							if(LoginUsuario($Usuario, $Password))
								echo 'Logueado';
							else
								echo "<p class='error'>El Usuario no se encontro, Favor de rectificar los datos!</p>";
						}else
							echo "<p class='error'>El Usuario acepta solo números y letras!</p>";
					}else
						echo "<p class='error'>La Contraseña acepta solo números y letras!</p>";
				}else
					echo "<p class='error'>La Contraseña esta fuera del rango permitido de caracteres!</p>";
			}else
				echo "<p class='error'>El Usuario esta fuera del rango permitido de caracteres!</p>";
		} else
			echo "<p class='error'>Se requiere la Contraseña!</p>";
	} else
		echo "<p class='error'>Se requiere el Nick de Usuario!</p>";
}
?>